%define major   0
%define libname %mklibname isns %{major}
%define devname %mklibname isns -d

Name:           open-isns
Version:        0.100
Release:        %mkrel 5
Summary:        Partial implementation of iSNS, according to RFC4171
License:        LGPLv2
Group:          Networking/Other
URL:            https://github.com/open-iscsi/open-isns
Source:         https://github.com/open-iscsi/open-isns/archive/%{name}-%{version}.tar.xz
Source1:        isnsd.service

Patch0002: 0002-Fix-compiler-issue-when-not-in-security-mode.patch
Patch0003: 0003-Do-not-ignore-write-return-value.patch
Patch0004: 0004-Fix-586-compile-issue-and-remove-Werror.patch
Patch0005: 0005-socket.c-include-poll.h-instead-of-sys-poll.h-for-PO.patch
Patch0006: 0006-fix-compilation-without-deprecated-OpenSSL-APIs.patch
Patch0007: 0007-libisns-remove-sighold-and-sigrelse.patch


BuildRequires:  pkgconfig(openssl)
BuildRequires:  systemd-devel

%description
This is a partial implementation of iSNS, according to RFC4171.

%package -n %{libname}
Summary:        Shared library files for open-isns
Group:          System/Libraries

%description -n %{libname}
Shared library files for open-isns.

%package -n %{devname}
Summary:        Development files for open-isns
Group:          Development/Other
Requires:       open-isns = %{version}
Requires:       %{libname} = %{version}-%{release}
Provides:       isns-devel = %{version}-%{release}
Provides:       open-isns-devel = %{version}-%{release}
Obsoletes:      open-isns-devel < 0.100-4

%description -n %{devname}
Files to develop an application using the open-isns library.

%prep
%setup -n %{name}-%{version}
%autopatch -p1

%build
%configure --with-security \
           --disable-static \
           --enable-shared \
           --with-rundir=%{_rundir}
%make_build

%install
%make_install
make install_hdrs DESTDIR=%{buildroot}
make install_lib DESTDIR=%{buildroot}
chmod 755 %{buildroot}%{_sbindir}/isns*
chmod 755 %{buildroot}%{_libdir}/libisns.so.0
rm %{buildroot}%{_unitdir}/isnsd.service
rm %{buildroot}%{_unitdir}/isnsd.socket
install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/isnsd.service

%post
%_post_service isnsd

%postun
%_postun_service isnsd

%preun
%_preun_service isnsd

%files
%license COPYING
%doc HACKING README TODO
%{_sbindir}/isnsd
%{_sbindir}/isnsdd
%{_sbindir}/isnsadm
%dir %{_sysconfdir}/isns
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/isns/isnsd.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/isns/isnsadm.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/isns/isnsdd.conf
%{_mandir}/man8/*
%{_mandir}/man5/*
%{_unitdir}/isnsd.service

%files -n %{libname}
%{_libdir}/libisns.so.%{major}{,.*}

%files -n %{devname}
%dir %{_includedir}/libisns
%{_includedir}/libisns/attrs.h
%{_includedir}/libisns/buffer.h
%{_includedir}/libisns/isns.h
%{_includedir}/libisns/isns-proto.h
%{_includedir}/libisns/message.h
%{_includedir}/libisns/paths.h
%{_includedir}/libisns/source.h
%{_includedir}/libisns/types.h
%{_includedir}/libisns/util.h
%{_libdir}/libisns.so


%changelog
* Tue Jan 26 2021 neoclust <neoclust> 0.100-5.mga8
+ Revision: 1673405
- Add fedora patch to fix build

* Wed Jan 20 2021 daviddavid <daviddavid> 0.100-4.mga8
+ Revision: 1672595
- enable shared libraries
- do not mark manpages as doc

* Tue Jan 19 2021 neoclust <neoclust> 0.100-3.mga8
+ Revision: 1672555
- Fix group
- Disable static libs ( wally )
- Fix enabling/stopping services
- imported package open-isns

